Subject: Re: [PATCH 1/2] net: Remove net/ipx.h and uapi/linux/ipx.h header files

From: Steve Grubb <[email-masked]>
Date: Wed, 01 Sep 2021 13:36:54 -0400

Hello,

Thanks for the heads up.

On Wednesday, September 1, 2021 12:52:02 PM EDT Eugene Syromiatnikov wrote:
> Adding linux-audit, strace-devel, and linux-api to CC:.
> 
> On Wed, Sep 01, 2021 at 06:02:44PM +0200, Eugene Syromiatnikov wrote:
> > On Fri, Aug 13, 2021 at 08:08:02PM +0800, Cai Huoqing wrote:
> > > commit <47595e32869f> ("<MAINTAINERS: Mark some staging directories>")
> > > indicated the ipx network layer as obsolete in Jan 2018,
> > > updated in the MAINTAINERS file
> > > 
> > > now, after being exposed for 3 years to refactoring, so to
> > > delete uapi/linux/ipx.h and net/ipx.h header files for good.
> > > additionally, there is no module that depends on ipx.h except
> > > a broken staging driver(r8188eu)
> > > 
> > > Signed-off-by: Cai Huoqing <[email-masked]>
> > 
> > This removal breaks audit[1] and potentially breaks strace[2][3], at
> > least.

I wouldn't say breaks so much as needs coordination with. :-)   If ipx is 
being dropped in its entirety, I can just make that part of the code 
conditional to the header existing.

-Steve

> > [1]
> > https://github.com/linux-audit/audit-userspace/blob/ce58837d44b7d9fcb4e1
> > 40c23f68e0c94d95ab6e/auparse/interpret.c#L48 [2]
> > https://gitlab.com/strace/strace/-/blob/9fe63f42df8badd22fb7eef9c12fc07e
> > d7106d6b/src/net.c#L34 [3]
> > https://gitlab.com/strace/strace/-/blob/9fe63f42df8badd22fb7eef9c12fc07e
> > d7106d6b/src/sockaddr.c#L30